package com.simuwang.base.pojo.valuation;


import com.simuwang.base.ano.Excel;

public abstract class PreAssetsValuationBase {
	@Excel(value = "科目代码")
	private String subjectCode;

	@Excel("科目名称")
	private String subjectName;

	private String securtiesCode;

	@Excel(value = "数量", numerical = true)
	private String amount;

	@Excel(value = "单位成本", numerical = true)
	private String unitCost;

	@Excel(value = "成本", numerical = true)
	private String cost;

	@Excel(value = "成本占净值%", numerical = true)
	private String ratioOfCostToNetWorth;

	@Excel(value = "市值", numerical = true)
	private String marketValue;

	@Excel(value = "市值占净值%", numerical = true)
	private String ratioOfMarketValueToNetWorth;

	@Excel(value = "估值增值", numerical = true)
	private String valueAdded;

	@Excel("停牌信息")
	private String suspensionInfo;

	private String originalSubjectCode;

	public abstract AssetsValuationType getType();

	public String getSubjectCode() {
		return subjectCode;
	}

	public void setSubjectCode(String subjectCode) {
		this.subjectCode = subjectCode;
	}

	public String getSecurtiesCode() {
		return securtiesCode;
	}

	public void setSecurtiesCode(String securtiesCode) {
		this.securtiesCode = securtiesCode;
	}

	public String getSubjectName() {
		return subjectName;
	}

	public void setSubjectName(String subjectName) {
		this.subjectName = subjectName;
	}

	public String getAmount() {
		return amount;
	}

	public void setAmount(String amount) {
		this.amount = amount;
	}

	public String getUnitCost() {
		return unitCost;
	}

	public void setUnitCost(String unitCost) {
		this.unitCost = unitCost;
	}

	public String getCost() {
		return cost;
	}

	public void setCost(String cost) {
		this.cost = cost;
	}

	public String getRatioOfCostToNetWorth() {
		return ratioOfCostToNetWorth;
	}

	public void setRatioOfCostToNetWorth(String ratioOfCostToNetWorth) {
		this.ratioOfCostToNetWorth = ratioOfCostToNetWorth;
	}

	public String getMarketValue() {
		return marketValue;
	}

	public void setMarketValue(String marketValue) {
		this.marketValue = marketValue;
	}

	public String getRatioOfMarketValueToNetWorth() {
		return ratioOfMarketValueToNetWorth;
	}

	public void setRatioOfMarketValueToNetWorth(String ratioOfMarketValueToNetWorth) {
		this.ratioOfMarketValueToNetWorth = ratioOfMarketValueToNetWorth;
	}

	public String getValueAdded() {
		return valueAdded;
	}

	public void setValueAdded(String valueAdded) {
		this.valueAdded = valueAdded;
	}

	public String getSuspensionInfo() {
		return suspensionInfo;
	}

	public void setSuspensionInfo(String suspensionInfo) {
		this.suspensionInfo = suspensionInfo;
	}

	public String getOriginalSubjectCode() {
		return originalSubjectCode;
	}

	public void setOriginalSubjectCode(String originalSubjectCode) {
		this.originalSubjectCode = originalSubjectCode;
	}
}